routes/web.php
<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\VaksinController;
use App\Http\Controllers\PendaftarController;
use App\Http\Controllers\JadwalController;
use App\Http\Controllers\DaftarController;
use App\Http\Controllers\CariController;
use App\Http\Controllers\CetakKartuController;
use App\Http\Controllers\CompleteController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [function () {
    return view('welcome');
}])->name('landing');

Auth::routes([
    'register' => false,
    'reset' => false,
]);

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');
Route::resource('daftar', DaftarController::class);
Route::get('/daftar-filtered/{daftar?}', [DaftarController::class, 'indexFiltered'])->name('daftar.filter');
Route::get('/Pendaftaran/{daftar:kode_unik}', [CariController::class, 'show'])->name('pendaftaran');
Route::get('/pendaftaran', [PendaftarController::class, 'index'])->name('pendaftar');
Route::get('/pendaftaran/{jadwal}/create', [PendaftarController::class, 'create'])->name('pendaftar.create');
Route::get('/cari', [CariController::class, 'search'])->name('cari');
Route::get('/cari/kartu', [CariController::class, 'searchKartu'])->name('cari.kartu');
Route::get('/cari/data', [CariController::class, 'find'])->name('cari_pendaftar');
Route::get('/cari/data/kartu', [CariController::class, 'findKartu'])->name('kartu.vaksin');
Route::get('/cetak-kartu/{daftar}', [CetakKartuController::class, 'cetak'])->name('cetak');
Route::get('/kartu-vaksin/{selesai}', [CetakKartuController::class, 'cetakKartuVaksin'])->name('cetak.kartu.vaksin');
Route::get('/selesai/{daftar}', [CompleteController::class, 'getData'])->name('selesai');
Route::get('/selesai', [CompleteController::class, 'index'])->name('selesai.index');
Route::delete('/selesai/{selesai}', [CompleteController::class, 'destroy'])->name('selesai.destroy');
Route::get('/selesai-filtered/{selesai?}', [CompleteController::class, 'indexFiltered'])->name('selesai.filter');
Route::resource('jadwal', JadwalController::class);
Route::resource('vaksin', VaksinController::class);

app/Models/Jadwal.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Jadwal extends Model
{
    use HasFactory;

    protected $fillable = [
        'tanggal', 'jenis_vaksin', 'jam'
    ];

    /**
     * Get all of the daftar for the Jadwal
     *
     * @return \Illuminate\Database\Eloquent\Relations\HasMany
     */
    public function daftar()
    {
        return $this->hasMany(Daftar::class);
    }
}

app/Http/Controllers/JadwalController.php
<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Jadwal;
use App\Models\JenisVaksin;

class JadwalController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        //mengambil data dari tabel jadwals
        $jadwals = Jadwal::latest()->simplePaginate(5);
        //mengirim data ke view
        return view('jadwal.index', compact('jadwals'))
                ->with('i', (request()->input('page', 1) - 1) * 5);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        $vaksins = JenisVaksin::all();
        //menampilkan halaman tambah
        return view('jadwal.create', compact('vaksins'));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //membuat validasi untuk isian
        $request->validate([
            'tanggal'=>'required',
            'jenis_vaksin'=>'required',
            'jam'=>'required',
        ]);

        //insert request dari form ke database
        Jadwal::create($request->all());

        //riderict juka sukses
        return redirect()->route('jadwal.index')->with('success', 'Jadwal berhasil ditambahkan!');
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show(Jadwal $jadwal)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Jadwal $jadwal)
    {
        $vaksins = JenisVaksin::all();
        return view('jadwal.edit', compact('jadwal', 'vaksins'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Jadwal $jadwal)
    {
        //membuat validasi untuk isian
        $request->validate([
            'tanggal'=>'required',
            'jenis_vaksin'=>'required',
            'jam'=>'required',
        ]);

        //insert request dari form ke database
        $jadwal->update($request->all());

        //riderict juka sukses
        return redirect()->route('jadwal.index')->with('success', 'Jadwal berhasil diupdate!');
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Jadwal $jadwal)
    {
        $jadwal->delete();

        return redirect()->route('jadwal.index')
                ->with('success', 'Jadwal Berhasil dihapus!');
    }
}

resources/views/jadwal/create.blade.php
@extends('layouts.master')

@section('content')
    <div class="container">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Tambah Jadwal Vaksinasi</h1>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <!-- Content Row -->
        <div class="row">
            <form action="{{ route('jadwal.store') }}" method="POST">
                @csrf

                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Pilih Jenis Vaksin:</strong>
                            <select class="custom-select" id="inputGroupSelect01" name="jenis_vaksin" required>
                                <option selected value="">
                                    Pilih Jenis Vaksin...</option>
                                @foreach ($vaksins as $vaksins)
                                    <option value="{{ $vaksins->jenis_vaksin }}">
                                        {{ $vaksins->jenis_vaksin }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Tanggal:</strong>
                            <input type="date" name="tanggal" class="form-control">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Jam:</strong>
                            <input type="time" name="jam" class="form-control">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                        <button type="submit" class="btn btn-primary">Submit</button>
                    </div>
                </div>

            </form>

        </div>

        <!-- Content Row -->
    </div>
@endsection

resources/views/jadwal/edit.blade.php
@extends('layouts.master')

@section('content')
    <div class="container">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Edit Jadwal Vaksinasi</h1>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <!-- Content Row -->
        <div class="row">
            <form action="{{ route('jadwal.update', $jadwal->id) }}" method="POST">
                @csrf
                @method('PUT')

                <div class="row">
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Pilih Jenis Vaksin:</strong>
                            <select class="custom-select" id="inputGroupSelect01" name="jenis_vaksin" required>
                                <option selected value="{{ $jadwal->jenis_vaksin }}">
                                    {{ $jadwal->jenis_vaksin }}</option>
                                @foreach ($vaksins as $vaksins)
                                    <option value="{{ $vaksins->jenis_vaksin }}">
                                        {{ $vaksins->jenis_vaksin }}</option>
                                @endforeach
                            </select>
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Tanggal:</strong>
                            <input type="date" name="tanggal" class="form-control" value="{{ $jadwal->tanggal }}">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12">
                        <div class="form-group">
                            <strong>Jam:</strong>
                            <input type="time" name="jam" class="form-control" value="{{ $jadwal->jam }}">
                        </div>
                    </div>
                    <div class="col-xs-12 col-sm-12 col-md-12 text-center">
                        <button type="submit" class="btn btn-primary">Update</button>
                    </div>
                </div>

            </form>

        </div>

        <!-- Content Row -->
    </div>
@endsection

resources/views/jadwal/index.blade.php
@extends('layouts.master')

@section('content')
    <div class="container">

        <!-- Page Heading -->
        <div class="d-sm-flex align-items-center justify-content-between mb-4">
            <h1 class="h3 mb-0 text-gray-800">Jadwal Vaksinasi</h1>
        </div>

        @if ($message = Session::get('success'))
            <div class="alert alert-success">
                <p>{{ $message }}</p>
            </div>
        @endif

        <!-- Content Row -->
        <div class="row">
            <!-- Earnings (Monthly) Card Example -->
            <a type="button" class="btn btn-primary" href="{{ route('jadwal.create') }}">Tambah Jadwal</a>
            <table class="table">
                <thead>
                    <tr>
                        <th scope="col">No</th>
                        <th scope="col">Tanggal</th>
                        <th scope="col">Jenis Vaksin</th>
                        <th scope="col">jam</th>
                        <th scope="col">Action</th>
                    </tr>
                </thead>
                <tbody>
                    @foreach ($jadwals as $jadwal)
                        <tr>
                            <td>{{ ++$i }}</td>
                            <td>{{ $jadwal->tanggal }}</td>
                            <td>{{ $jadwal->jenis_vaksin }}</td>
                            <td>{{ $jadwal->jam }}</td>
                            <td>
                                <form action="{{ route('jadwal.destroy', $jadwal->id) }}" method="POST">
                                    <a type="button" class="btn btn-warning btn-sm"
                                        href="{{ route('jadwal.edit', $jadwal->id) }}">Edit</a>
                                    @csrf
                                    @method('DELETE')
                                    <button type="submit" class="btn btn-danger btn-sm"
                                        onclick="return confirm('Apakah Anda yakin ingin menghapus data ini?')">Delete</button>
                                </form>

                            </td>
                        </tr>
                    @endforeach
                </tbody>
            </table>
            {!! $jadwals->links() !!}

        </div>

        <!-- Content Row -->
    </div>
@endsection